Subject: [bug#54239] [PATCH v2 1/5] gnu: Add cross-llvm.

From: Pierre Langlois <[email-masked]>
Date: Fri, 04 Mar 2022 19:34:07 +0000

Hi Julien,

Julien Lepiller <[email-masked]> writes:

> * gnu/packages/llvm.scm (cross-llvm): New variable.

Do you really need to define a cross package for LLVM? In my experience
it was possible to use the same llvm libraries for native and cross
compilation. By default LLVM builds support for all supported targets
(provided they are not "experimental" IIRC).

Whereas for the clang package, at the moment it does have to be built
for a specific target IIUC. I hope that one day we could have the same
clang for native and cross compilation in Guix, but I don't think it can
work without some serious re-design of how cross-compilation works. I've
been trying to think about it but I don't yet have a good understanding
of it.

Thanks,
Pierre